    The XSPEC vwdem model: plasma emission, multi-temperature with power-law distribution of emission measure.

xsvwdem
The xsvwdem model is an additive model component.

The model is described at [1] .

>>> create_model_component("xsvwdem", "mdl")
>>> print(mdl)

Create a component of the xsvwdem model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.Tmax thawed 1 0.01 20 keV mdl.beta thawed 0.1 0.01 1 mdl.inv_slope thawed 0.25 -1 10 mdl.nH frozen 1 1e-06 1e+20 cm^-3 mdl.He frozen 1 0 10 mdl.C frozen 1 0 10 mdl.N frozen 1 0 10 mdl.O frozen 1 0 10 mdl.Ne frozen 1 0 10 mdl.Na frozen 1 0 10 mdl.Mg frozen 1 0 10 mdl.Al frozen 1 0 10 mdl.Si frozen 1 0 10 mdl.S frozen 1 0 10 mdl.Ar frozen 1 0 10 mdl.Ca frozen 1 0 10 mdl.Fe frozen 1 0 10 mdl.Ni frozen 1 0 10 mdl.Redshift frozen 0 -0.999 10 mdl.switch frozen 2 -3.40282e+38 3.40282e+38 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
Tmax
The maximum temperature for power-law emission measure distribution.
beta
The ratio of minimum to maxmum temperature.
inv_slope
The inverse of the slope (labelled p in the XSPEC documentation).
nH
Fixed at 1 for most applications.
He, C, N, O, Ne, Na, Mg, Al, Si, S, Ar, Ca, Fe, Ni
The abundance of the element in solar units.
Redshift
The redshift of the plasma.
switch
What model to use: 0 calculates with MEKAL, 1 interpolates with MEKAL, and 2 interpoates with APEC.
norm
The normalization of the model: see [1] for an explanation of the units.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelWdem.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023